Page MenuHomeMiraheze

Convert all our python2 scripts to python3
Closed, ResolvedPublic

Description

We should convert out scripts to python3 seeing as python2 EOL is 2020.

https://github.com/miraheze/puppet/search?q=python&unscoped_q=python

Details

Commits
Unknown Object (Diffusion Commit)

Event Timeline

Paladox created this task.Sep 23 2018, 22:47
Paladox triaged this task as Normal priority.Sep 23 2018, 22:48
Paladox renamed this task from Convert all our scripts to python3 to Convert all our python2 scripts to python3.Sep 23 2018, 22:56
Paladox updated the task description. (Show Details)
Paladox mentioned this in Unknown Object (Diffusion Commit).Sep 30 2018, 17:06
Paladox mentioned this in Unknown Object (Diffusion Commit).Sep 30 2018, 19:31
Paladox mentioned this in Unknown Object (Diffusion Commit).Sep 30 2018, 22:09
John removed a project: Puppet.Oct 3 2018, 10:07
Paladox added a commit: Unknown Object (Diffusion Commit).Dec 2 2018, 19:01
Paladox closed this task as Resolved.Dec 3 2018, 00:23
Paladox claimed this task.
Paladox added a project: Goal-2018-Jul-Dec.

I think this is now complete.

Paladox moved this task from Backlog to Operations on the Goal-2018-Jul-Dec board.Dec 3 2018, 00:23